package J20250723;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo08
 * @description
 * @create 2025/7/23
 */
public class Demo08 {

    /*
        业务
        实现加法计算器，2 3 4 5 6 7 8 9 10
     */
    //重载
    public int add(int a,int b){
        return a+b;
    }
    public int add(int a,int b,int c){
        return a+b+c;
    }

    //可变参数  可变参数实际上是一个先给值，后确定长度的数组
    public static int add(int...a){
        int sum=0;
        for (int i:a){
            sum+=i;
        }
        return sum;
    }

    public static void main(String[] args) {
        int sum = add(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 45, 15, 67);
        System.out.println(sum);
    }
}
